


function aom_elemental.smash_smoke_puff(pos, amount, dist)
    if not dist then dist = 2 end
    minetest.add_particlespawner({
        amount = amount,
        time = 0.1,
        collisiondetection = false,
        collision_removal = false,
        object_collision = false,
        vertical = false,
        texture = "aom_cooking_particle_finished_cooking.png^[colorize:#eeeeeeff:100",
        glow = 0,
        minpos = vector.new(-dist,  0,       -dist) + pos,
        maxpos = vector.new( dist,  0.2,   dist) + pos,
        minvel = vector.new(-dist, -dist/10, -dist),
        maxvel = vector.new( dist,  dist,     dist),
        minacc = vector.new(-0, -0, -0),
        maxacc = vector.new( 0,  0,  0),
        minexptime = 0.5,
        maxexptime = 2,
        minsize = 4,
        maxsize = 12,
    })
end
